Bug 46430 - RedHat 7.1 installation doesn't recognize NC7131.
RedHat 7.1 installation doesn't recognize NC7131.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-28 09:59 EDT by Bryan Leopard
Modified: 2014-03-16 22:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 17:17:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-06-28 09:59:45 EDT
How to view:
Insert NC7131 in server
Install RedHat 7.1 seawolf.
During the installation you should notice that the networking section of 
the installation doesn't ask for information regarding the NC7131.  If the 
NC7131 is the only adapter in the system then you will not see the network 
setup utility at all.


To correct this problem, and others related to kudzu,  
the /usr/share/kudzu/pcitable needs to have the following lines added 
and/or updated:


0x8086 0x1229 0x0e11 0xb02f "e100" "Compaq|NC1120 Ethernet NIC" 
0x8086 0x1229 0x0e11 0xb01e "e100" "Compaq|NC3120 Fast Ethernet NIC" 
0x8086 0x1229 0x0e11 0xb04a "e100" "Compaq|10/100 TX PCI Intel WOL UTP 
Controller"
0x8086 0x1229 0x0e11 0xb0d7 "e100" "Compaq|NC3121 Fast Ethernet NIC" 
0x8086 0x1229 0x0e11 0xb01f "e100" "Compaq|NC3122 Fast Ethernet NIC"
0x8086 0x1229 0x0e11 0xb0dd "e100" "Compaq|NC3131 Fast Ethernet NIC"
0x8086 0x1229 0x0e11 0xb0de "e100" "Compaq|NC3132 Fast Ethernet Module"
0x8086 0x1229 0x0e11 0xb0e1 "e100" "Compaq|NC3133 Fast Ethernet Module" 
0x8086 0x1229 0x0e11 0xb0c7 "e100" "Compaq|NC3160 Fast Ethernet NIC"
0x8086 0x1229 0x0e11 0xb0c6 "e100" "Compaq|NC3161 Fast Ethernet NIC" 
0x8086 0x1229 0x0e11 0xb144 "e100" "Compaq|NC3123 Fast Ethernet NIC"
0x8086 0x1229 0x0e11 0xb163 "e100" "Compaq|NC3134 Fast Ethernet NIC"
0x8086 0x1229 0x0e11 0xb164 "e100" "Compaq|NC3135 Fast Ethernet Upgrade 
Module"
0x8086 0x1229 0x0e11 0xb13c "e100" "Compaq|NC3162 Fast Ethernet NIC"
0x8086 0x1229 0x0e11 0xb134 "e100" "Compaq|NC3163 Fast Ethernet NIC"

0x8086 0x1000 0x0e11 0xb123 "e1000" "Compaq|NC6134 Gigabit NIC"
0x8086 0x1000 0x0e11 0xb0df "e1000" "Compaq|NC6132 Gigabit Module"
0x8086 0x1000 0x0e11 0xb0e0 "e1000" "Compaq|NC6133 Gigabit Module" 
0x8086 0x1001 0x0e11 0x004a "e1000" "Compaq|NC6136 Gigabit Server Adapter"
0x8086 0x1004 0x0e11 0xb1a4 "e1000" "Compaq|NC7131 Gigabit Server Adapter"
0x8086 0x1004 0x0e11 0x0049 "e1000" "Compaq|NC7132 Gigabit Upgrade Module"
Comment 1 Bill Nottingham 2001-06-28 11:10:24 EDT
Um, no, we've been through this before. We are *NOT* changing the default
to the e100 driver.

What happens if you load the eepro100 driver for this card? All this stuff
is already mapped in the pcitable.
Comment 2 Bryan Leopard 2001-08-01 17:17:31 EDT
Is not a matter of the eepro100 working or not.  It is the fact that the intel 
driver has the hooks that our management agents need and the eepro100 does not.
Comment 3 Bill Nottingham 2001-08-01 17:52:13 EDT
The entry for 0x8086/0x1004 was added on 7 May; it's in the beta.

Note You need to log in before you can comment on or make changes to this bug.